Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cryptopro
Interface CryptoProObjectIdentifiers

public interface CryptoProObjectIdentifiers

GOST Algorithms OBJECT IDENTIFIERS : { iso(1) member-body(2) ru(643) rans(2) cryptopro(2)}

Field Summary
`static ASN1ObjectIdentifier` | `GOST_id` Base OID: 1.2.643.2.2
`static ASN1ObjectIdentifier` | `gostR28147_gcfb` Gost R28147 OID: 1.2.643.2.2.21
`static ASN1ObjectIdentifier` | `gostR3410_2001` Gost R3410-2001 OID: 1.2.643.2.2.19
`static ASN1ObjectIdentifier` | `gostR3410_2001_CryptoPro_A` { iso(1) member-body(2)ru(643) rans(2) cryptopro(2) ecc-signs(35) } Gost R3410-2001-CryptoPro-A OID: 1.2.643.2.2.35.1
`static ASN1ObjectIdentifier` | `gostR3410_2001_CryptoPro_B` Gost R3410-2001-CryptoPro-B OID: 1.2.643.2.2.35.2
`static ASN1ObjectIdentifier` | `gostR3410_2001_CryptoPro_C` Gost R3410-2001-CryptoPro-C OID: 1.2.643.2.2.35.3
`static ASN1ObjectIdentifier` | `gostR3410_2001_CryptoPro_ESDH`
`static ASN1ObjectIdentifier` | `gostR3410_2001_CryptoPro_XchA` { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) ecc-exchanges(36) } Gost R3410-2001-CryptoPro-XchA OID: 1.2.643.2.2.36.0
`static ASN1ObjectIdentifier` | `gostR3410_2001_CryptoPro_XchB` Gost R3410-2001-CryptoPro-XchA OID: 1.2.643.2.2.36.1
`static ASN1ObjectIdentifier` | `gostR3410_2001DH`
`static ASN1ObjectIdentifier` | `gostR3410_94` Gost R3410-94 OID: 1.2.643.2.2.20
`static ASN1ObjectIdentifier` | `gostR3410_94_CryptoPro_A` { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) signs(32) } Gost R3410-94-CryptoPro-A OID: 1.2.643.2.2.32.2
`static ASN1ObjectIdentifier` | `gostR3410_94_CryptoPro_B` Gost R3410-94-CryptoPro-B OID: 1.2.643.2.2.32.3
`static ASN1ObjectIdentifier` | `gostR3410_94_CryptoPro_C` Gost R3410-94-CryptoPro-C OID: 1.2.643.2.2.32.4
`static ASN1ObjectIdentifier` | `gostR3410_94_CryptoPro_D` Gost R3410-94-CryptoPro-D OID: 1.2.643.2.2.32.5
`static ASN1ObjectIdentifier` | `gostR3410_94_CryptoPro_XchA` { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) exchanges(33) } Gost R3410-94-CryptoPro-XchA OID: 1.2.643.2.2.33.1
`static ASN1ObjectIdentifier` | `gostR3410_94_CryptoPro_XchB` Gost R3410-94-CryptoPro-XchB OID: 1.2.643.2.2.33.2
`static ASN1ObjectIdentifier` | `gostR3410_94_CryptoPro_XchC` Gost R3410-94-CryptoPro-XchC OID: 1.2.643.2.2.33.3
`static ASN1ObjectIdentifier` | `gostR3411` Gost R3411 OID: 1.2.643.2.2.9
`static ASN1ObjectIdentifier` | `gostR3411_94_CryptoProParamSet` { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) hashes(30) } Gost R3411-94-CryptoProParamSet OID: 1.2.643.2.2.30.1
`static ASN1ObjectIdentifier` | `gostR3411_94_with_gostR3410_2001` Gost R3411-94-with-R3410-2001 OID: 1.2.643.2.2.3
`static ASN1ObjectIdentifier` | `gostR3411_94_with_gostR3410_94` Gost R3411-94-with-R3410-94 OID: 1.2.643.2.2.4
`static ASN1ObjectIdentifier` | `gostR3411Hmac` Gost R3411 HMAC OID: 1.2.643.2.2.10
`static ASN1ObjectIdentifier` | `id_Gost28147_89_CryptoPro_A_ParamSet` Gost R28147-89-CryotoPro-A-ParamSet OID: 1.2.643.2.2.31.1
`static ASN1ObjectIdentifier` | `id_Gost28147_89_CryptoPro_B_ParamSet` Gost R28147-89-CryotoPro-B-ParamSet OID: 1.2.643.2.2.31.2
`static ASN1ObjectIdentifier` | `id_Gost28147_89_CryptoPro_C_ParamSet` Gost R28147-89-CryotoPro-C-ParamSet OID: 1.2.643.2.2.31.3
`static ASN1ObjectIdentifier` | `id_Gost28147_89_CryptoPro_D_ParamSet` Gost R28147-89-CryotoPro-D-ParamSet OID: 1.2.643.2.2.31.4
`static ASN1ObjectIdentifier` | `id_Gost28147_89_CryptoPro_KeyWrap`
`static ASN1ObjectIdentifier` | `id_Gost28147_89_CryptoPro_TestParamSet` Gost R28147-89-CryotoPro-A-ParamSet OID: 1.2.643.2.2.31.0
`static ASN1ObjectIdentifier` | `id_Gost28147_89_None_KeyWrap`

Field Detail

### GOST_id

    public static final ASN1ObjectIdentifier GOST_id

  Base OID: 1.2.643.2.2

### gostR3411

    public static final ASN1ObjectIdentifier gostR3411

  Gost R3411 OID: 1.2.643.2.2.9

### gostR3411Hmac

    public static final ASN1ObjectIdentifier gostR3411Hmac

  Gost R3411 HMAC OID: 1.2.643.2.2.10

### id_Gost28147_89_None_KeyWrap

    public static final ASN1ObjectIdentifier id_Gost28147_89_None_KeyWrap

### id_Gost28147_89_CryptoPro_KeyWrap

    public static final ASN1ObjectIdentifier id_Gost28147_89_CryptoPro_KeyWrap

### gostR28147_gcfb

    public static final ASN1ObjectIdentifier gostR28147_gcfb

  Gost R28147 OID: 1.2.643.2.2.21

### id_Gost28147_89_CryptoPro_TestParamSet

    public static final ASN1ObjectIdentifier id_Gost28147_89_CryptoPro_TestParamSet

  Gost R28147-89-CryotoPro-A-ParamSet OID: 1.2.643.2.2.31.0

### id_Gost28147_89_CryptoPro_A_ParamSet

    public static final ASN1ObjectIdentifier id_Gost28147_89_CryptoPro_A_ParamSet

  Gost R28147-89-CryotoPro-A-ParamSet OID: 1.2.643.2.2.31.1

### id_Gost28147_89_CryptoPro_B_ParamSet

    public static final ASN1ObjectIdentifier id_Gost28147_89_CryptoPro_B_ParamSet

  Gost R28147-89-CryotoPro-B-ParamSet OID: 1.2.643.2.2.31.2

### id_Gost28147_89_CryptoPro_C_ParamSet

    public static final ASN1ObjectIdentifier id_Gost28147_89_CryptoPro_C_ParamSet

  Gost R28147-89-CryotoPro-C-ParamSet OID: 1.2.643.2.2.31.3

### id_Gost28147_89_CryptoPro_D_ParamSet

    public static final ASN1ObjectIdentifier id_Gost28147_89_CryptoPro_D_ParamSet

  Gost R28147-89-CryotoPro-D-ParamSet OID: 1.2.643.2.2.31.4

### gostR3410_94

    public static final ASN1ObjectIdentifier gostR3410_94

  Gost R3410-94 OID: 1.2.643.2.2.20

### gostR3410_2001

    public static final ASN1ObjectIdentifier gostR3410_2001

  Gost R3410-2001 OID: 1.2.643.2.2.19

### gostR3411_94_with_gostR3410_94

    public static final ASN1ObjectIdentifier gostR3411_94_with_gostR3410_94

  Gost R3411-94-with-R3410-94 OID: 1.2.643.2.2.4

### gostR3411_94_with_gostR3410_2001

    public static final ASN1ObjectIdentifier gostR3411_94_with_gostR3410_2001

  Gost R3411-94-with-R3410-2001 OID: 1.2.643.2.2.3

### gostR3411_94_CryptoProParamSet

    public static final ASN1ObjectIdentifier gostR3411_94_CryptoProParamSet

  { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) hashes(30) }

  Gost R3411-94-CryptoProParamSet OID: 1.2.643.2.2.30.1

### gostR3410_94_CryptoPro_A

    public static final ASN1ObjectIdentifier gostR3410_94_CryptoPro_A

  { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) signs(32) }

  Gost R3410-94-CryptoPro-A OID: 1.2.643.2.2.32.2

### gostR3410_94_CryptoPro_B

    public static final ASN1ObjectIdentifier gostR3410_94_CryptoPro_B

  Gost R3410-94-CryptoPro-B OID: 1.2.643.2.2.32.3

### gostR3410_94_CryptoPro_C

    public static final ASN1ObjectIdentifier gostR3410_94_CryptoPro_C

  Gost R3410-94-CryptoPro-C OID: 1.2.643.2.2.32.4

### gostR3410_94_CryptoPro_D

    public static final ASN1ObjectIdentifier gostR3410_94_CryptoPro_D

  Gost R3410-94-CryptoPro-D OID: 1.2.643.2.2.32.5

### gostR3410_94_CryptoPro_XchA

    public static final ASN1ObjectIdentifier gostR3410_94_CryptoPro_XchA

  { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) exchanges(33) }

  Gost R3410-94-CryptoPro-XchA OID: 1.2.643.2.2.33.1

### gostR3410_94_CryptoPro_XchB

    public static final ASN1ObjectIdentifier gostR3410_94_CryptoPro_XchB

  Gost R3410-94-CryptoPro-XchB OID: 1.2.643.2.2.33.2

### gostR3410_94_CryptoPro_XchC

    public static final ASN1ObjectIdentifier gostR3410_94_CryptoPro_XchC

  Gost R3410-94-CryptoPro-XchC OID: 1.2.643.2.2.33.3

### gostR3410_2001_CryptoPro_A

    public static final ASN1ObjectIdentifier gostR3410_2001_CryptoPro_A

  { iso(1) member-body(2)ru(643) rans(2) cryptopro(2) ecc-signs(35) }

  Gost R3410-2001-CryptoPro-A OID: 1.2.643.2.2.35.1

### gostR3410_2001_CryptoPro_B

    public static final ASN1ObjectIdentifier gostR3410_2001_CryptoPro_B

  Gost R3410-2001-CryptoPro-B OID: 1.2.643.2.2.35.2

### gostR3410_2001_CryptoPro_C

    public static final ASN1ObjectIdentifier gostR3410_2001_CryptoPro_C

  Gost R3410-2001-CryptoPro-C OID: 1.2.643.2.2.35.3

### gostR3410_2001_CryptoPro_XchA

    public static final ASN1ObjectIdentifier gostR3410_2001_CryptoPro_XchA

  { iso(1) member-body(2) ru(643) rans(2) cryptopro(2) ecc-exchanges(36) }

  Gost R3410-2001-CryptoPro-XchA OID: 1.2.643.2.2.36.0

### gostR3410_2001_CryptoPro_XchB

    public static final ASN1ObjectIdentifier gostR3410_2001_CryptoPro_XchB

  Gost R3410-2001-CryptoPro-XchA OID: 1.2.643.2.2.36.1

### gostR3410_2001_CryptoPro_ESDH

    public static final ASN1ObjectIdentifier gostR3410_2001_CryptoPro_ESDH

### gostR3410_2001DH

    public static final ASN1ObjectIdentifier gostR3410_2001DH

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD